Welcome to the Question2Answer Q&A. There's also a demo if you just want to try it out.
+1 vote
206 views
in Plugins by
edited by

I wanted to install the Q2A badges plugin.

I downloaded the plugin to the qa_plugin directory.

I navigated to admin>plugin and checked the box for the badges plugin.

I forgot to press "save" and navigated to another page.
 

The server became unresponsive (500 error)

I deleted the badges plugin from the directory.

The server became responsive again.

I tried again, I downloaded the badges plugin to the qa_plugin directory.

Soon as I did this, the server became unresponsive. Now it's just the "existence" of the badges directory in the qa_plugin directory that causes the server to report a 500 error.

Any ideas on how I can fix this?

Thank you!


EDIT: Good idea by pupi1985 is to post the server's error log

[Sat Aug 15 21:19:56.879400 2020] [php7:warn] [pid 59003] [client 73.185.11.216:51838] PHP Warning:  require_once(/user/student/cpro/public_html/qa-include/qa-app-users.php): failed to open stream: No such file or directory in /user/student/cpro/public_html/qa-include/qa-base.php(718) : eval()'d code on line 38
[Sat Aug 15 21:19:56.879594 2020] [php7:error] [pid 59003] [client 73.185.11.216:51838] PHP Fatal error:  require_once(): Failed opening required '/user/student/cpro/public_html/qa-include/qa-app-users.php' (include_path='.:') in /user/student/cpro/public_html/qa-include/qa-base.php(718) : eval()'d code on line 38

by
+2
What does the error log from your web server say about the error?
by
Thanks a lot for the help: Here is what I was able to find

[Sat Aug 15 21:19:56.879400 2020] [php7:warn] [pid 59003] [client 73.185.11.216:51838] PHP Warning:  require_once(/user/student/cpro/public_html/qa-include/qa-app-users.php): failed to open stream: No such file or directory in /user/student/cpro/public_html/qa-include/qa-base.php(718) : eval()'d code on line 38
[Sat Aug 15 21:19:56.879594 2020] [php7:error] [pid 59003] [client 73.185.11.216:51838] PHP Fatal error:  require_once(): Failed opening required '/user/student/cpro/public_html/qa-include/qa-app-users.php' (include_path='.:') in /user/student/cpro/public_html/qa-include/qa-base.php(718) : eval()'d code on line 38

1 Answer

+3 votes
by
selected by
 
Best answer

Remove all base Q2A files (you can keep your custom plugins, translations and themes). Then, reinstall v1.8.5 from here: https://www.question2answer.org/question2answer-latest.zip. You seem to be using the current development branch.

by
Thanks pupi!
...